## org.apache.hadoop.fs.s3
Class VersionMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.fs.s3.S3FileSystemException
                      org.apache.hadoop.fs.s3.VersionMismatchException

All Implemented Interfaces:
  Serializable

    public class VersionMismatchException

extends S3FileSystemException

Thrown when Hadoop cannot read the version of the data stored in `S3FileSystem`.

See Also:
  Serialized Form

Constructor Summary
`VersionMismatchException(String clientVersion, String dataVersion)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionMismatchException

    public VersionMismatchException(String clientVersion,
                                    String dataVersion)

Copyright © 2009 The Apache Software Foundation